Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element page

Properties
  This component is not nillable.

Model
  `<page
  active = xs:boolean
  activeImage = xs:string
  backingFile = xs:string
  definitionId = xs:string
  definitionLabel = xs:string
  hidden = xs:boolean
  id = xs:string
  inactiveImage = xs:string
  instanceId = xs:string
  markupName = xs:string
  markupType = xs:string
  offerRemote = xs:boolean
  orientation = xs:string
  packed = xs:boolean
  presentationClass = xs:string
  presentationId = xs:string
  presentationStyle = xs:string
  properties = xs:string
  public = xs:boolean
  rolloverImage = xs:string
  skeletonUri = xs:string
  tagName = xs:string
  title = titleType>
  (meta*, titlebar?, content )
  </page>`

Nested Element Summary
`` | `content`
`metaType` | `meta`
`` | `titlebar`

Attribute Summary
`xs:boolean` | `active`
`xs:string` | `activeImage`
`xs:string` | `backingFile`
`xs:string` | `definitionId`
`xs:string` | `definitionLabel`
`xs:boolean` | `hidden`
`xs:string` | `id`
`xs:string` | `inactiveImage`
`xs:string` | `instanceId`
`xs:string` | `markupName`
`xs:string` | `markupType`
`xs:boolean` | `offerRemote`
`xs:string` | `orientation`
`xs:boolean` | `packed`
`xs:string` | `presentationClass`
`xs:string` | `presentationId`
`xs:string` | `presentationStyle`
`xs:string` | `properties`
`xs:boolean` | `public`
`xs:string` | `rolloverImage`
`xs:string` | `skeletonUri`
`xs:string` | `tagName`
`titleType` | `title`

Attribute Detail

### active

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### activeImage

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### backingFile

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### definitionId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### definitionLabel

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### hidden

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### id

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### inactiveImage

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### instanceId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### markupName

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### markupType

Type:
  based on ``
  with :

Use:
  `required`

Form:
  `unqualified`

### offerRemote

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### orientation

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### packed

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### presentationClass

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationId

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### presentationStyle

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### properties

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### public

Type:
  `xs:boolean`

Use:
  `optional`

Form:
  `unqualified`

### rolloverImage

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### skeletonUri

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### tagName

Type:
  `xs:string`

Use:
  `optional`

Form:
  `unqualified`

### title

Type:
  `titleType`

Use:
  `required`

Form:
  `unqualified`

Source

      <xs:element name="page" type="pageType"/>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation